GIFCONFIG(8)

NAME
gifconfig - configure generic IP tunnel

SYNOPSIS
gifconfig interface [af] [physsrc physdest]
gifconfig interface delete
gifconfig -a

DESCRIPTION
gifconfig configures the physical address for the generic IP tunnel inteface, such as "gif0". Argument physsrc and physdest are interpreted as the outer source/destination address for encapsulating IPv4/v6 header. Argument af specifies the address family for physsrc and physdest. af can be inet or inet6, and will be treated as inet if ommitted.

If a special argument delete is specified, gifconfig just deletes the existing source and destination addresses on interface. If no outer addresses are specified, this usage has no effect.

gifconfig takes the following optional argument:

-a  Display information associated with all gif(4) interfaces.

Please note that it is very easy to create infinite routing loop, when you configure tunnel over same address family ( e.g. IPv4-over-IPv4).

EXAMPLES
If you would like to configure IPv6 over IPv4 (aka IPv6 in IPv4) tunnel between 10.1.1.1 and 10.2.3.4, you should perform the following command:

    # gifconfig gif0 inet 10.1.1.1 10.2.3.4

This is also possible to use IPv6 as outer proto, by replacing inet to inet6, and IPv4 addresses to some appropriate IPv6 addresses in above example.

RETURN VALUES
The command exits with exit status of 1 on errors, 0 on success.

SEE ALSO
gif(4), ifconfig(8)

HISTORY
The gifconfig command first appeared in WIDE Hydrangea IPv6 protocol stack kit.